Public Interface IGPSLogger
    Sub LogInformation(msg As String, owner As String, Optional immediateReport As Boolean = False, Optional vital As Boolean = False)
    Sub LogException(exception As Exception, owner As String, Optional immediateReport As Boolean = False, Optional vital As Boolean = False)
    Sub LogDebugInfo(msg As String, owner As String)
    Function GetImmediateLogInfo(logInfoType As EnLogInfoType) As List(Of LogInfo)
    Event NewImmediateLogInfo(e As ImmediateLogInforEventArg, sender As Object)
End Interface
